package com.android.gl2jni;

/**
 * This class loads the Java Native Interface (JNI)
 * library, 'libhellogl2b.so', and provides access to the
 * exposed C functions.
 * The library is packaged and installed with the application.
 * See the C file, /jni/gl2jni.c file for the
 * implementations of the native methods. 
 * 
 * For more information on JNI, see: http://java.sun.com/docs/books/jni/
 */
public class gl2jni
{
	/**
	 * An example native method.  See the library function,
	 * <code>Java_com_android_gl2jni_gl2jni_gl2jniNative</code>
	 * for the implementation.
	 */
	static public native void gl2jniNative();

	/* This is the static constructor used to load the
	 * 'hellogl2b' library when the class is
	 * loaded.
	 */
	static {
		System.loadLibrary("hellogl2b");
	}
}
